Hrm Employee Salary
Function-calling namespace: hrmEmployeeSalary
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: private API; Stack access token is required.
- Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - Allowed roles:
platform_admin,hr. - Missing or invalid token returns
401; authenticated users without an allowed role return403.
create
Source: backend/endpoints/hrm-employee-salary/create
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | No | - |
employeeId | string | No | - |
baseSalary | number | No | - |
hra | number | No | - |
dearnessAllowance | number | No | - |
conveyanceAllowance | number | No | - |
medicalAllowance | number | No | - |
specialAllowance | number | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeSalary",
"apiName": "create",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }getByEmployee
Source: backend/endpoints/hrm-employee-salary/get-by-employee
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | No | - |
employeeId | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeSalary",
"apiName": "getByEmployee",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }update
Source: backend/endpoints/hrm-employee-salary/update
Input schema type: salary.InputSchema
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeSalary",
"apiName": "update",
"data": {}
}'Example Response
{ "status": "ok", "data": {} }